package com.sf.service.gateway.domain.vo;

import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;
import com.sf.service.gateway.domain.GatewayInterfaceInfo;
import com.sf.service.gateway.domain.GatewayServer;
import com.sf.service.gateway.domain.GatewayStrategy;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 策略管理对象 Gateway_strategy
 * 
 * @author zoukun
 * @date 2024-04-22
 */
@Data
public class GatewayStrategyListVO {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 策略名称 */
    private String strategyName;

    /** 策略类型 */
    private String strategyType;

    /** 策略描述 */
    private String description;

    /** 策略状态（0停用 1启用） */
    private String status;

    public static GatewayStrategyListVO convert(GatewayStrategy strategy) {
        GatewayStrategyListVO vo = new GatewayStrategyListVO();
        vo.setId(strategy.getId());
        vo.setStrategyName(strategy.getStrategyName());
        vo.setStrategyType(strategy.getStrategyType());
        vo.setDescription(strategy.getDescription());
        vo.setStatus(strategy.getStatus());
        return vo;
    }
}
